OpenVDB: TupleList<> Struct Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TupleList<> Struct Reference

Specilization of an empty TupleList. Required due to constructor selection. More...

`#include <openvdb/TypeList.h>`

## Public Types
using | AsTypeList = TypeList<>
using | TupleT = std::tuple<>

## Public Member Functions
| TupleList ()=default
constexpr auto | size ()
TupleT & | tuple ()
const TupleT & | tuple () const
template<size_t Idx>
constexpr auto & | get ()
template<size_t Idx>
constexpr auto & | get () const
template<typename OpT >
constexpr void | foreach (OpT)
template<class Pred , class OpT >
constexpr void | evalFirstPred (Pred, OpT)
template<class Pred , class OpT , typename RetT >
constexpr RetT | evalFirstPred (Pred, OpT, RetT def)

## Detailed Description

Specilization of an empty TupleList. Required due to constructor selection.

## Member Typedef Documentation

## ◆ AsTypeList

using AsTypeList = TypeList<>

## ◆ TupleT

using TupleT = std::tuple<>

## Constructor & Destructor Documentation

## ◆ TupleList()

TupleList | ( |  | ) |
| default

## Member Function Documentation

## ◆ evalFirstPred() [1/2]

template<class Pred , class OpT >

constexpr void evalFirstPred | ( | Pred | ,
|  | OpT |
| ) |  |
| inlineconstexpr

## ◆ evalFirstPred() [2/2]

template<class Pred , class OpT , typename RetT >

constexpr RetT evalFirstPred | ( | Pred | ,
|  | OpT | ,
|  | RetT | def
| ) |  |
| inlineconstexpr

## ◆ foreach()

template<typename OpT >

constexpr void foreach | ( | OpT |  | ) |
| inlineconstexpr

## ◆ get() [1/2]

template<size_t Idx>

constexpr auto & get | ( |  | ) |
| inlineconstexpr

## ◆ get() [2/2]

template<size_t Idx>

constexpr auto & get | ( |  | ) | const
| inlineconstexpr

## ◆ size()

constexpr auto size | ( |  | ) |
| inlineconstexpr

## ◆ tuple() [1/2]

TupleT & tuple | ( |  | ) |
| inline

## ◆ tuple() [2/2]

const TupleT & tuple | ( |  | ) | const
| inline